package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum AppraiseApplyStatusEnum implements BaseEnum {

    WAIT("WAIT","待申诉"),
    WAIT_CENTER("WAIT_CENTER","待中心审核"),
    OK("OK","已审核"),
    OVER("OVER","中心超时未审核"),
    OVER_APPLY("OVER_APPLY","超时未申诉"),
    ;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
